PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int PLASMA_strtri | ( | PLASMA_enum | uplo,
|  | PLASMA_enum | diag,
|  | int | N,
|  | float * | A,
|  | int | LDA
| ) |  |

PLASMA_strtri - Computes the inverse of a complex upper or lower triangular matrix A.

Parameters

  [in] | uplo | = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
  [in] | diag | = PlasmaNonUnit: A is non-unit triangular; = PlasmaUnit: A is unit triangular.
  [in] | N | The order of the matrix A. N >= 0.
  [in,out] | A | On entry, the triangular matrix A. If UPLO = 'U', the leading N-by-N upper triangular part of the array A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of the array A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced. If DIAG = 'U', the diagonal elements of A are also not referenced and are assumed to be 1. On exit, the (triangular) inverse of the original matrix, in the same storage format.
  [in] | LDA | The leading dimension of the array A. LDA >= max(1,N).

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if -i, the i-th argument had an illegal value
  >0 | if i, A(i,i) is exactly zero. The triangular matrix is singular and its inverse can not be computed.

See also
  PLASMA_strtri_Tile
  PLASMA_strtri_Tile_Async
  PLASMA_ctrtri
  PLASMA_dtrtri
  PLASMA_strtri
  PLASMA_spotri